Description

History

#1 - Feb 14, 2019 05:29 PM - Luca Frosini

@andrea.dellamico@isti.cnr.it I'm experiencing a lot of issues to properly run the new version of orientdb because of the configuration file.

I'm investigating what is the error in the configuration we already had.

While I was trying to fix the issue, I made a git pull on ansible repository (about half an hour ago 17.00 CEST 14/02/2019). I'm not able to run orientdb

playbook anymore:

Command

ansible-playbooks/d4science-ghn-cluster$ ./run.sh orientdb.yml -i inventory/hosts.dev -l orientdb01-d-d4s.d4sc

ience.org

 Error:

TASK [../../library/roles/nagios : Install the global nrpe commands file] *****************************

Thursday 14 February 2019  17:21:43 +0100 (0:00:00.045)       0:01:51.148 ***** 

Thursday 14 February 2019  17:21:43 +0100 (0:00:00.045)       0:01:51.142 ***** 

fatal: [orientdb01-d-d4s.d4science.org]: FAILED! => {"changed": false, "msg": "AnsibleUndefinedVariable: 'user

s_home_dir' is undefined"}

 [WARNING]: Failure using method (v2_runner_on_failed) in callback plugin

(<ansible.plugins.callback./usr/lib/python2.7/dist-

packages/ansible/plugins/callback/mail.CallbackModule object at 0x7f988563e050>): [Errno 111]

Connection refused

#3 - Feb 14, 2019 05:38 PM - Andrea Dell'Amico

Luca Frosini wrote:

TASK [../../library/roles/nagios : Install the global nrpe commands file] *****************************

Thursday 14 February 2019  17:21:43 +0100 (0:00:00.045)       0:01:51.148 ***** 

Thursday 14 February 2019  17:21:43 +0100 (0:00:00.045)       0:01:51.142 ***** 

fatal: [orientdb01-d-d4s.d4science.org]: FAILED! => {"changed": false, "msg": "AnsibleUndefinedVariable: '

users_home_dir' is undefined"}

 [WARNING]: Failure using method (v2_runner_on_failed) in callback plugin

(<ansible.plugins.callback./usr/lib/python2.7/dist-

packages/ansible/plugins/callback/mail.CallbackModule object at 0x7f988563e050>): [Errno 111]

Connection refused

 

Just fixed, pull again.

#4 - Feb 14, 2019 06:02 PM - Luca Frosini

It seems working now.

Thanks a lot.

#5 - Feb 15, 2019 03:17 PM - Luca Frosini

Unfortunately, hazelcast encryption is now available only for enterprise users

@andrea.dellamico@isti.cnr.it is there any other way to secure hazelcast communications between orientdb instances?
Here are the links of hazelcast and orientdb configurations for the version we are going to use:

https://docs.hazelcast.org/docs/3.10.4/manual/html-single/index.html#security

https://orientdb.com/docs/3.0.x/distributed/Distributed-Configuration.html

Maybe we need to create a VPN between the servers?

#7 - Feb 15, 2019 04:43 PM - Luca Frosini

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

The dev cluster is up and running now.

#8 - Feb 17, 2019 01:13 PM - Andrea Dell'Amico

Luca Frosini wrote:

Unfortunately, hazelcast encryption is now available only for enterprise users

@andrea.dellamico@isti.cnr.it is there any other way to secure hazelcast communications between orientdb instances?

Here are the links of hazelcast and orientdb configurations for the version we are going to use:

https://docs.hazelcast.org/docs/3.10.4/manual/html-single/index.html#security

https://orientdb.com/docs/3.0.x/distributed/Distributed-Configuration.html

Maybe we need to create a VPN between the servers?

 A VPN should be many to many. Doable, we can configure it if it's the only alternative. But the communications between clients and the cluster would

remain unprotected, so even a VPN would not give us any additional security.
